/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.commons.configuration2.reloading;

import java.util.Random;

/**
 * An implementation of {@code ReloadingDetector} which randomly returns
 * true or false.
 *
 * @version $Id: RandomReloadingDetector.java 1624601 2014-09-12 18:04:36Z oheger $
 */
public class RandomReloadingDetector implements ReloadingDetector
{
    /** The random object.*/
    private final Random random = new Random();

    @Override
    public boolean isReloadingRequired()
    {
        return random.nextBoolean();
    }

    @Override
    public void reloadingPerformed()
    {
    }
}
